Bug 31401 - Update administration sidebar to match entries on administration start page
Summary: Update administration sidebar to match entries on administration start page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 31411
  Show dependency treegraph
 
Reported: 2022-08-18 21:01 UTC by Katrin Fischer
Modified: 2022-11-20 00:27 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07, 21.11.14


Attachments
Bug 31401: Update administration sidebar to match entries on administration start page (7.84 KB, patch)
2022-08-18 21:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 31401: Update administration sidebar to match entries on administration start page (7.88 KB, patch)
2022-08-19 00:59 UTC, David Nind
Details | Diff | Splinter Review
Bug 31401: Update administration sidebar to match entries on administration start page (7.93 KB, patch)
2022-09-02 14:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 31401: (QA follow-up) Remove Koha.ArePluginsEnabled, it is no longer needed (6.29 KB, patch)
2022-09-02 14:28 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-08-18 21:01:33 UTC
We changed the heading and the administration start page to say 'Classification configuration' but missed changing the administration sidebar as well.
Comment 1 Katrin Fischer 2022-08-18 21:16:14 UTC
There are some more discrepancies between the admin start page and the sidebar, will detail in the commit message.
Comment 2 Katrin Fischer 2022-08-18 21:32:01 UTC
Created attachment 139436 [details] [review]
Bug 31401: Update administration sidebar to match entries on administration start page

This makes sure that all entries on the administration start page
have a matching entry in the administration sidebar that shows
on the left side if you are on any of the administration sub pages.

Changes made:
* Rename 'Classification sources' to 'Classification configuration'
* Make Plugins entry show and appear in correct spot
  This relied on the variable plugins_enabled that wasn't available
  in all the different templates. I therefore moved it to Auth.pm
  and cleaned up the code for the admin start page.
* Move 'MARC overlay rules' and rename to 'Record overlay rules'

To test:
* Make sure plugins are enabled and visible on admin start page
* Compare admin start page and sidebar
  * Sequence should be the same
  * All entries should appear on both pages
  * Naming should be the same
Comment 3 David Nind 2022-08-19 00:59:15 UTC
Created attachment 139445 [details] [review]
Bug 31401: Update administration sidebar to match entries on administration start page

This makes sure that all entries on the administration start page
have a matching entry in the administration sidebar that shows
on the left side if you are on any of the administration sub pages.

Changes made:
* Rename 'Classification sources' to 'Classification configuration'
* Make Plugins entry show and appear in correct spot
  This relied on the variable plugins_enabled that wasn't available
  in all the different templates. I therefore moved it to Auth.pm
  and cleaned up the code for the admin start page.
* Move 'MARC overlay rules' and rename to 'Record overlay rules'

To test:
* Make sure plugins are enabled and visible on admin start page
* Compare admin start page and sidebar
  * Sequence should be the same
  * All entries should appear on both pages
  * Naming should be the same

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2022-08-19 01:03:37 UTC
I've signed off, but noted that when you go into Administration > Plugins > Manage plugins that the sidebar for Tools appears (it is listed under Additional tools > Tool plugins - I vaguely recall plugins was located there at some stage...).

I'm going to assume that this should be a separate bug (if it isn't already).

Everything else looks great and matches up!
Comment 5 Katrin Fischer 2022-08-19 07:15:25 UTC
Plugins appear on both start pages - administration and tools. But the files themselves live in the tools section. That's why you land there, when you click on it. It's a little similar to the funds/budgets that live in admin, but are also on the sidebar in acq.

I just repaired the Plugins entry, it was always supposed to show but didn't because of a problem with the plugins_enable variable.
Comment 6 Kyle M Hall 2022-09-02 14:28:37 UTC
Created attachment 140151 [details] [review]
Bug 31401: Update administration sidebar to match entries on administration start page

This makes sure that all entries on the administration start page
have a matching entry in the administration sidebar that shows
on the left side if you are on any of the administration sub pages.

Changes made:
* Rename 'Classification sources' to 'Classification configuration'
* Make Plugins entry show and appear in correct spot
  This relied on the variable plugins_enabled that wasn't available
  in all the different templates. I therefore moved it to Auth.pm
  and cleaned up the code for the admin start page.
* Move 'MARC overlay rules' and rename to 'Record overlay rules'

To test:
* Make sure plugins are enabled and visible on admin start page
* Compare admin start page and sidebar
  * Sequence should be the same
  * All entries should appear on both pages
  * Naming should be the same

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Kyle M Hall 2022-09-02 14:28:47 UTC
Created attachment 140152 [details] [review]
Bug 31401: (QA follow-up) Remove Koha.ArePluginsEnabled, it is no longer needed

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Tomás Cohen Arazi 2022-09-07 20:58:10 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 9 Lucas Gass 2022-10-31 20:17:36 UTC
Backported to 22.05.x for upcoming 22.05.07 release
Comment 10 Arthur Suzuki 2022-11-14 13:51:44 UTC
applied to 21.11.x for 21.11.14
Comment 11 Victor Grousset/tuxayo 2022-11-20 00:27:01 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.